Kerbal Space Program - Bug #24844

One of the servos has its deploy angle and deploy limiter inverted when in mirror symmetry.
02/13/2020 03:36 AM - dok_377

Status: Resolved Start date: 02/13/2020
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.10.0

Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game

Description

Now, that one is tough. It's better if you go straight to the video, but | try to explain it in text as well.
To reproduce this one you should do this:

1. Take one of the servos and put it on the craft in mirror symmetry. It can be any servo, they all have this bug.

2. Configure the deploy limiter. You can set it to pretty much any range as long as it has different minimum and maximum values (-25
and 160, for example). If the values are the same, this bug doesn't show.

3. Launch craft and open PAWSs for both servos.

4. Set the deploy angle on one of the servos and look at the deploy angle that's showing in the PAW for both of the servos.

At this point you should see that one of the servos is showing its angle incorrectly. Its showing inverted (with the minus sign). But it's
not just showing that, it's actually uses this inverted angle to check the deployment limit that is set in the editor. At one point, it's just
going to hit that limit and stop moving completely, even though it should continue to move.

5. Set the deploy angle to a minimum and then to a maximum.

You should see one of the servos stop at some point because it has hit its inverted limit from the editor.

If this text doesn't make too much sense, just see the video: https://youtu.be/mEkJIrhJ6as

Pay close attention to the deploy limiters that | set and watch the deployment angles in the PAWSs. | highlight them with my mouse
cursor as well.

I'm just going to copypaste this whole report because you didn't even fix this.

History

#1 - 02/13/2020 11:12 PM - dok_377
- File Servo Bug.craft added

#2 - 02/27/2020 10:00 PM - dok_377
- Version changed from 1.9.0 to 1.9.1

#3 - 03/04/2020 07:08 PM - christy.theus
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#5 - 07/06/2020 03:22 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.10.0

- % Done changed from 10 to 80

We've made some changes in this latest version and would like some feedback on this issue.

#6 - 07/06/2020 05:08 PM - dok_377
https://youtu.be/mEkJIrhJ6as

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Looks like it's fixed.
